"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createHealthStatusMessage = exports.createSaveOrderMesssage = exports.createNewOrderMessage = exports.createCancelOrderMessage = void 0;
const types_1 = require("../types");
const utils_1 = require("../utils");
const createCancelOrderMessage = () => ({
    exchange: types_1.RabbitMQExchange.Order,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.OrderCancel),
});
exports.createCancelOrderMessage = createCancelOrderMessage;
const createNewOrderMessage = (carrierId) => ({
    exchange: types_1.RabbitMQExchange.Order,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.Order, carrierId),
});
exports.createNewOrderMessage = createNewOrderMessage;
const createSaveOrderMesssage = () => ({
    exchange: types_1.RabbitMQExchange.Order,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.OrderSave),
});
exports.createSaveOrderMesssage = createSaveOrderMesssage;
const createHealthStatusMessage = () => ({
    exchange: types_1.RabbitMQExchange.Health,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.HealthStatus),
});
exports.createHealthStatusMessage = createHealthStatusMessage;
//# sourceMappingURL=definitions.js.map