"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RabbitMQClient = void 0;
const definitions_1 = require("./messages/definitions");
const common_1 = require("../../common");
const common_2 = require("@nestjs/common");
let RabbitMQClient = class RabbitMQClient {
    constructor(connection) {
        this.connection = connection;
    }
    sendCancelOrderMessage(message) {
        const { exchange, routingKey } = (0, definitions_1.createCancelOrderMessage)();
        this.connection.publish(exchange, routingKey, message);
    }
    sendHealthStatusMessage(message) {
        const { exchange, routingKey } = (0, definitions_1.createHealthStatusMessage)();
        this.connection.publish(exchange, routingKey, message);
    }
    sendCreateOrderMessage(message) {
        {
            const { exchange, routingKey } = (0, definitions_1.createNewOrderMessage)(common_1.Carrier.Ppl);
            this.connection.publish(exchange, routingKey, message);
        }
        {
            const { exchange, routingKey } = (0, definitions_1.createSaveOrderMesssage)();
            this.connection.publish(exchange, routingKey, message);
        }
    }
};
RabbitMQClient = __decorate([
    (0, common_2.Injectable)()
], RabbitMQClient);
exports.RabbitMQClient = RabbitMQClient;
//# sourceMappingURL=rabbitmq.provider.js.map