import { IOrderCreateMessage } from './messages/createOrder.interface';
import { IHealthStatusMessage } from './messages/healthStatus.interface';
import { IOrderCancelMessage } from './messages/orderCancel.interface';
import { RabbitMQExchange } from './types';
export interface IRabbitMQService {
    sendCreateOrderMessage: (message: IOrderCreateMessage) => void;
    sendCancelOrderMessage: (message: IOrderCancelMessage) => void;
    sendHealthStatusMessage: (message: IHealthStatusMessage) => void;
}
export interface IRabbitMQMessage {
    exchange: RabbitMQExchange;
    routingKey: string;
}
//# sourceMappingURL=rabbitmq.interface.d.ts.map