import { IOrderCreateMessage } from './messages/createOrder.interface';
import { IHealthStatusMessage } from './messages/healthStatus.interface';
import { IOrderCancelMessage } from './messages/orderCancel.interface';
import { AmqpConnection } from '@golevelup/nestjs-rabbitmq';
import { IRabbitMQService } from './rabbitmq.interface';
export declare class RabbitMQClient implements IRabbitMQService {
    private readonly connection;
    constructor(connection: AmqpConnection);
    sendCancelOrderMessage(message: IOrderCancelMessage): void;
    sendHealthStatusMessage(message: IHealthStatusMessage): void;
    sendCreateOrderMessage(message: IOrderCreateMessage): void;
}
//# sourceMappingURL=rabbitmq.provider.d.ts.map